Bug 77014 - Words in input fields are broken between lines at the end of line
Summary: Words in input fields are broken between lines at the end of line
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: All All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:4.4.6
Keywords: bibisected, bisected, regression
: 84192 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-03 16:03 UTC by Demond James
Modified: 2016-10-25 19:20 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
This file displayed the issue on my system (14.99 KB, application/vnd.oasis.opendocument.text)
2014-04-03 16:03 UTC, Demond James
Details
Bug 77014 not solved in LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18 (172.48 KB, image/jpeg)
2015-10-19 14:56 UTC, Eric Van Den Berghe
Details
Bug 77014 solved in LibOffDev 5.1.0.0.alpha1 (build 2015-10-15_22:30:35) (106.42 KB, image/jpeg)
2015-10-19 15:13 UTC, Eric Van Den Berghe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Demond James 2014-04-03 16:03:08 UTC
Created attachment 96856 [details]
This file displayed the issue on my system

This issue arises when an input field is inserted into a paragraph and it falls at the end of a line.  The word is chopped in two with a portion going on the new line.  Expected behavior is that word would remain intact and move to the new line as a whole.
Comment 1 Buovjaga 2014-11-09 18:46:30 UTC
Reproduced (from scratch as well).

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43
Comment 2 Buovjaga 2015-01-08 17:57:34 UTC
4.5 (2014-12-14) on Ubuntu showed the problem.

No problem with:

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Marking as regression.

A small note: on 3.5 there is one grey space left to the "old line". On 3.3 even this grey space doesn't show.
Comment 3 Matthew Francis 2015-01-09 00:27:45 UTC
*** Bug 84192 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Francis 2015-01-09 00:31:02 UTC
Transferring previous investigation from duplicate 84192:

(bibisect results)
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
10aad62814a73c9f547fe1ae8b566b8905e62675
dbc806fd61243c2ae720c1c884758cc4d9f2073a
We cannot bisect more!

(source bisect results)
The behaviour seems to have changed at the below commit.

Adding Cc: to caolanm@redhat.com. Could you possibly take a look at this? Thanks

commit c2b5521921b806ff7b04cdacebde3834d2aafd4b
Author:     Oliver-Rainer Wittmann <orw@apache.org>
AuthorDate: Mon Nov 18 11:29:24 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Tue Nov 19 15:51:27 2013 +0000

    Resolves: #i33737# enable in-place editing of Input Fields
    
    (cherry picked from commit c2afeb1c3f11e8f420b59f3786eb8626c99ff595)
Comment 5 Danny Vrijsen 2015-04-22 10:17:53 UTC
This bug is a blocker to update LO to newer versions in the organisation I work for. We use LO to create documentes based on templates in which fields are filled with data from a database. Because this data is cut in to pieces without hypenation rules used. Bug is active since the use of fields is changed, no use of  dialog-windows for fields anymore.
Comment 6 Buovjaga 2015-04-22 19:44:10 UTC
(In reply to Danny Vrijsen from comment #5)
> This bug is a blocker to update LO to newer versions in the organisation I
> work for. We use LO to create documentes based on templates in which fields
> are filled with data from a database. Because this data is cut in to pieces
> without hypenation rules used. Bug is active since the use of fields is
> changed, no use of  dialog-windows for fields anymore.

I'm sorry, but the devs don't want us to use "blocker".
Reverting back to normal per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Your organization can buy dev time to fix the bug, if they want: https://www.libreoffice.org/get-help/professional-support/
Comment 7 Michael Meeks 2015-07-15 19:57:18 UTC
An interesting issue; it appears this is only the case for single word fields; eg. adding a space before the single longer (broken) word appears to solve the problem, as does adding an 'a ' prefix or somesuch. Interestingly the field content in my LibreOffice 4.1.6 appears to have pre-pended spaces in the rendered form of that field that are rendered as grey - but nominally not in the field itself.
Comment 8 Jan Holesovsky 2015-09-09 10:35:31 UTC
Taking this bug...
Comment 9 Commit Notification 2015-10-12 21:44:19 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1db251e1a191844eb99462a67e9acf4f4b67233f

tdf#77014 create a test for this bug

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-10-12 21:44:29 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e1714fd7fcb45fa5f1220d892dba597da40b500

tdf#77014 fix input field breaking of words at new line

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-10-12 21:48:08 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41ecfc58a1ff9b091d203ca2e28609083ac2ff9a

tdf#77014 remove redundant check in test

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-10-14 09:30:43 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c9e9e153792081a5c91516b96b3bad54c929ddc&h=libreoffice-5-0

tdf#77014 fix input field breaking of words at new line

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-10-14 09:39:17 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2436123e60a892ae74f65b2698d23c3b36a89f12&h=libreoffice-4-4

tdf#77014 fix input field breaking of words at new line

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-10-14 22:08:51 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6335a0b1c12c68b5feab2aee108bd353cfe1e8bc&h=libreoffice-4-4-6

tdf#77014 fix input field breaking of words at new line

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Eric Van Den Berghe 2015-10-19 14:56:12 UTC
Created attachment 119750 [details]
Bug 77014 not solved in LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18

Test bug 77014 with LibreOfficeDev 4.4.7.0.0
Status: not solved.
Tested with:
 http://dev-builds.libreoffice.org/daily/libreoffice-4-4/Win-x86@51-TDF/current/libreoffice-4-4~2015-10-14_08.09.18_LibreOfficeDev_4.4.7.0.0_Win_x86_en-US_de_ar_ja_ru_qtz.msi
Comment 16 Eric Van Den Berghe 2015-10-19 15:13:10 UTC
Created attachment 119751 [details]
Bug 77014 solved in LibOffDev 5.1.0.0.alpha1 (build 2015-10-15_22:30:35)


Test bug 77014 with LibreOfficeDev 5.1.0.0.alpha1 (build 2015-10-15_22.30.35).
Status: solved.
Tested with:
 http://dev-builds.libreoffice.org/daily/master/Win-x86@62-merge-TDF/2015-10-15_22.30.35/master~2015-10-15_22.30.35_LibreOfficeDev_5.1.0.0.alpha1_Win_x86_en-US_de_ar_ja_ru_qtz.msi

The word "Slachthuisstraat" in a field at the end of a line remains intact and is moved to the next new line as a whole word.
Comment 17 Winfried Donkers 2015-10-19 15:16:51 UTC
(In reply to Eric Van Den Berghe from comment #15)
> Created attachment 119750 [details]
> Bug 77014 not solved in LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18
> 
> Test bug 77014 with LibreOfficeDev 4.4.7.0.0
> Status: not solved.
> Tested with:
>  http://dev-builds.libreoffice.org/daily/libreoffice-4-4/Win-x86@51-TDF/
> current/libreoffice-4-4~2015-10-14_08.09.18_LibreOfficeDev_4.4.7.0.
> 0_Win_x86_en-US_de_ar_ja_ru_qtz.msi


I suspect that LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18 was built before the patch was committed (build datetime 2015-10-14_08.09.18 and commit datetime 2015-10-14_09.38.12).
Please try again with a devbuild from later date.
Comment 18 Eric Van Den Berghe 2015-10-19 15:30:13 UTC
(In reply to Winfried Donkers from comment #17)
> (In reply to Eric Van Den Berghe from comment #15)
> > Created attachment 119750 [details]
> > Bug 77014 not solved in LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18
> > 
> > Test bug 77014 with LibreOfficeDev 4.4.7.0.0
> > Status: not solved.
> > Tested with:
> >  http://dev-builds.libreoffice.org/daily/libreoffice-4-4/Win-x86@51-TDF/
> > current/libreoffice-4-4~2015-10-14_08.09.18_LibreOfficeDev_4.4.7.0.
> > 0_Win_x86_en-US_de_ar_ja_ru_qtz.msi
> 
> 
> I suspect that LibOffDev 4.4.7.0.0+ build 2015-10-14_08.09.18 was built
> before the patch was committed (build datetime 2015-10-14_08.09.18 and
> commit datetime 2015-10-14_09.38.12).
> Please try again with a devbuild from later date.

When becomes the latest build for LibOffDev 4.4 available?
At the moment I can only download the build 2015-10-14_08.09.18.
Comment 19 Buovjaga 2015-10-19 15:34:32 UTC
(In reply to Eric Van Den Berghe from comment #18)
> When becomes the latest build for LibOffDev 4.4 available?
> At the moment I can only download the build 2015-10-14_08.09.18.

Check back tomorrow morning European time.
Comment 20 Robinson Tryon (qubit) 2015-10-29 14:57:18 UTC
(In reply to Beluga from comment #19)
> (In reply to Eric Van Den Berghe from comment #18)
> > When becomes the latest build for LibOffDev 4.4 available?
> > At the moment I can only download the build 2015-10-14_08.09.18.
> 
> Check back tomorrow morning European time.

Eric: Did you get a chance to test a (recent) 4.4 daily? Thanks for your help!
Comment 21 Robinson Tryon (qubit) 2015-12-14 05:17:28 UTC Comment hidden (obsolete)